<Project Sdk="Microsoft.NET.Sdk.Web">
  <PropertyGroup>
    <TargetFramework>netcoreapp3.1</TargetFramework>
    <AssetTargetFallback>$(AssetTargetFallback);portable-net45+win8+wp8+wpa81;</AssetTargetFallback>
    <PreserveCompilationContext>true</PreserveCompilationContext>
    <AssemblyName>DeepBridge.Web.Host</AssemblyName>
    <OutputType>Exe</OutputType>
    <PackageId>DeepBridge.Web.Host</PackageId>
    <UserSecretsId>AbpCompanyName-DeepBridge-56C2EF2F-ABD6-4EFC-AAF2-2E81C34E8FB1</UserSecretsId>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
    <GenerateBindingRedirectsOutputType>true</GenerateBindingRedirectsOutputType>
    <LangVersion>7.2</LangVersion>
  </PropertyGroup>
  <ItemGroup>
    <Content Remove="wwwroot\swagger\ui\index.html" />
  </ItemGroup>
  <ItemGroup>
    <None Include="app.config" />
    <None Update="Dockerfile">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="log4net.config">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </None>
    <None Update="wwwroot\**\*">
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </None>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\DeepBridge.Web.Core\DeepBridge.Web.Core.csproj" />
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="Abp.Castle.Log4Net" Version="5.2.0" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="3.1.0">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="3.1.1" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="wwwroot\swagger\ui\index.html">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </EmbeddedResource>
  </ItemGroup>
</Project>